# Raumplaner.py

from grafikfenster import *

from tisch import Tisch
from stuhl import Stuhl
from tischgruppe import Tischgruppe

### ---------------------------------------------------
class RaumplanerApp(wx.App):
    """Testanwendung fuer Raumplaner-Grafik
       ShellFrame: Interaktion mit laufender Anwendung
       FillingFrame: Anzeige der Umgebung"""
    def OnInit(self):
        self.fenster = GrafikFenster(None, "Raumplaner-Grafik")
        self.SetTopWindow(self.fenster)
        self.fenster.Show(True)
        self.fenster.panel.Refresh()
        self.fenster.ZeigeShellFrame()
        self.TestAnwendung()
        #print('Starten: app.Testanwendung()')
        #self.fenster.ZeigeFillingFrame()
        return True

    def TestAnwendung(self):
        # Allein fuer die Testanwendung:
        global tischgruppe,stuhl1,stuhl2,stuhl3,stuhl4,stuhl5,stuhl6,tisch
        tischgruppe=Tischgruppe(sichtbar=True)
        tisch=Tisch(50,50)
        tischgruppe.FuegeHinzu(tisch)
        stuhl1=Stuhl(0,60,winkel=270)
        tischgruppe.FuegeHinzu(stuhl1)
        stuhl2=Stuhl(60,0,winkel=0)
        tischgruppe.FuegeHinzu(stuhl2)
        stuhl3=Stuhl(120,0,winkel=0)
        tischgruppe.FuegeHinzu(stuhl3)
        stuhl4=Stuhl(180,60,winkel=90)
        tischgruppe.FuegeHinzu(stuhl4)
        stuhl5=Stuhl(60,120,winkel=180)
        tischgruppe.FuegeHinzu(stuhl5)
        stuhl6=Stuhl(120,120,winkel=180)
        tischgruppe.FuegeHinzu(stuhl6)
        

### ---------------------------------------------------
if __name__ == '__main__':
    app = RaumplanerApp(redirect=False)
    # Parameterwert True, wenn Ausgaben in der Standard E/A angezeigt werden sollen
    app.MainLoop()
